tigase.jaxmpp.core.client

## Interface Connector.ErrorHandler

- All Superinterfaces:
    EventHandler
  Enclosing interface:
    Connector

      public static interface Connector.ErrorHandler
      extends EventHandler

  Implemented by handlers of ErrorEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Connector.ErrorHandler.ErrorEvent` Fired on connection error.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onError(SessionObject sessionObject, StreamError condition, Throwable caught)` Called when ErrorEvent is fired.

- - ### Method Detail

    - #### onError

          void onError(SessionObject sessionObject,
                       StreamError condition,
                       Throwable caught)
                throws JaxmppException

      Called when ErrorEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.
        `condition` - XMPP error condition. `null` if error is not caused by stream.
        `caught` - exception. null if error was caused by stream.
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.